### Method

# Gtk EntryCompletion set_text_column

#### Declaration [src]

    void
    gtk_entry_completion_set_text_column (
      GtkEntryCompletion* completion,
      int column
    )

#### Description [src]

Convenience function for setting up the most used case of this code: a completion list with just strings.

This function will set up `completion` to have a list displaying all (and just) strings in the completion list, and to get those strings from `column` in the model of `completion`.

This functions creates and adds a `GtkCellRendererText` for the selected column. If you need to set the text column, but don’t want the cell renderer, use g_object_set() to set the `GtkEntryCompletion:text-column` property directly.

Sets property | `Gtk.EntryCompletion:text-column`

#### Parameters

`column` | `int`
| The column in the model of `completion` to get strings from.